Skip to content
Ona Docs

ListJoinableOrganizations

POST/gitpod.v1.AccountService/ListJoinableOrganizations

Lists organizations that the currently authenticated account can join.

Use this method to:

  • Discover organizations associated with the account’s email domain.
  • Allow users to join existing organizations.
  • Display potential organizations during onboarding.

Examples

  • List joinable organizations:

    Retrieves a list of organizations the account can join.

    {}
Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
ReturnsExpand Collapse
joinableOrganizations: optional array of JoinableOrganization { organizationId, organizationName, organizationMemberCount }
organizationId: string

organization_id is the id of the organization the user can join

formatuuid
organizationName: string

organization_name is the name of the organization the user can join

organizationMemberCount: optional number

organization_member_count is the member count of the organization the user can join

formatint32

ListJoinableOrganizations

curl https://app.gitpod.io/api/gitpod.v1.AccountService/ListJoinableOrganizations \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "joinableOrganizations": [
    {
      "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "organizationName": "organizationName",
      "organizationMemberCount": 0
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "joinableOrganizations": [
    {
      "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "organizationName": "organizationName",
      "organizationMemberCount": 0
    }
  ]
}